Delete a space (staff)
DELETE /api/communities/{communityId}/spaces/{spaceId}. Delete a space (staff). Headless LMS Communities API reference.
Owner or admin only. The space and everything in it go.
Path Parameters
communityId*string
spaceId*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/communities/string/spaces/string"null{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Update a space (staff) PATCH
PATCH /api/communities/{communityId}/spaces/{spaceId}. Update a space (staff). Headless LMS Communities API reference.
Replace the topics on a space (staff) PUT
PUT /api/communities/{communityId}/spaces/{spaceId}/topics. Replace the topics on a space (staff). Headless LMS Communities API reference.